Announcement

Collapse
No announcement yet.

Update to 6.18 Failed

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Update to 6.18 Failed

    Hello,

    we have installed the update 6.18 on CentOS 5.5. During the installation a error message are displayed, look here
    Code:
      Updating       : open-xchange                                                                                                                        45/153
    warning: /opt/open-xchange/etc/groupware/imap.properties created as /opt/open-xchange/etc/groupware/imap.properties.rpmnew
    warning: /opt/open-xchange/etc/groupware/javamail.properties created as /opt/open-xchange/etc/groupware/javamail.properties.rpmnew
    warning: /opt/open-xchange/etc/groupware/notification.properties created as /opt/open-xchange/etc/groupware/notification.properties.rpmnew
    warning: /opt/open-xchange/etc/groupware/ox-scriptconf.sh created as /opt/open-xchange/etc/groupware/ox-scriptconf.sh.rpmnew
    warning: /opt/open-xchange/etc/groupware/server.properties created as /opt/open-xchange/etc/groupware/server.properties.rpmnew
    warning: /opt/open-xchange/etc/groupware/sessiond.properties created as /opt/open-xchange/etc/groupware/sessiond.properties.rpmnew
    warning: /opt/open-xchange/etc/groupware/user.properties created as /opt/open-xchange/etc/groupware/user.properties.rpmnew
      Updating       : open-xchange-admin                                                                                                                  46/153
    /home/<username>/rpmbuild/tmp/rpm-tmp.2219: line 24: local: can only be used in a function
    ox_exists_property: missing propfile argument (arg 2)
    warning: /opt/open-xchange/etc/admindaemon/User.properties created as /opt/open-xchange/etc/admindaemon/User.properties.rpmnew
    error: %post(open-xchange-admin-6.18.0.0-7_7.2.noarch) scriptlet failed, exit status 1
    Afer restart OX in the browser IE & Forefox comes a message "Activate JavaScript" but JavaScript is enablet.

    Please help

    Best Andreas

  • #2
    Hi Andreas,

    the GUI issue is caused by a missing apache configuration, please check the release notes and http://www.open-xchange.com/forum/showthread.php?t=5079 "Important: New Apache settings". The old configuration for deflate and expires can be removed.

    Greetings

    Comment


    • #3
      That is a bug which happens when updating RHEL/SLES, i've opened a bug:

      https://bugs.open-xchange.com/show_bug.cgi?id=16812

      Comment


      • #4
        Hi,

        fixed in head and bf_6_18_0
        ist der Bug jetzt gefixed?

        Gruß Andreas

        Comment


        • #5
          Hallo Andreas,

          der Bug ist im Sourcecode im aktuellen Entwicklungszweig (HEAD) und im stabilen Zweig für 6.18.0 gefixt. Vermutlich sind jedoch noch keine Pakete verfügbar, wir haben jedoch für Ende dieser Woche / Anfang nächster Woche ein Update von 6.18 geplant. Dort sollte dann auch dieser Fix enthalten sein.

          Gruß

          Comment


          • #6
            Ok danke, dann warte ich noch mit dem Update.

            Gruß Andreas

            Comment

            Working...
            X